<section class="section">
    <div class="film">
        <div *ngFor="let f of Film;">
            <div class="media">

                <div class="media-left">
                    <img src="http://image.tmdb.org/t/p/w300{{f.poster_path}}" alt="Affiche">
                </div>

                <div class="media-content">
                    <div class="content">
                        <h1 class="title is-1">{{ f.title }}</h1>

                        <h1 class="title is-5">réalisateur:</h1>

                        <ul *ngFor="let p of f.production_companies;">
                            <li>
                                {{ p.name }}
                            </li>
                        </ul>

                        <h1 class="title is-5">genre:</h1>

                        <ul *ngFor="let g of f.genres;">
                            <li>
                                {{ g.name }}
                            </li>
                        </ul>
                    </div>

                    <p><strong>Date de sortie: </strong>{{ f.release_date }}</p>

                    <p><strong>Résume:</strong><br>{{ f.overview }}</p><br>

                </div>
            </div>
        </div>

        <p><strong>Notu du film:</strong><br>{{ not }}/5</p><br>

        <form [formGroup]="noteForm" (ngSubmit)="note()">
            <div class="field has-addons">
                <div class="control" >
                    <p [ngClass]="{ 'has-error': submitted}">
                        <input class="input is-hovered,input-shadow" formControlName="note" type="number"
                            placeholder="note" min="0" max="5">
                    </p>
                </div>
                <div class="control">
                    <button class="button is-link">Valider</button>
                </div>
            </div>
        </form><br>

        <p><strong>Commentaire:</strong><br>{{ comment }}</p><br>

        <form [formGroup]="commForm" (ngSubmit)="commentaire()">
            <div class="field">
                <div class="control">
                    <p [ngClass]="{ 'has-error': isSubmitted}">
                        <textarea class="textarea is-info" formControlName="commentaire"
                            placeholder="votre commentaire"></textarea>
                    </p>
                </div>
            </div>
            <div class="field is-grouped">
                <div class="control">
                    <button class="button is-link">Soumettre</button>
                </div>
            </div>
        </form><br>

        <div class="control">
            <button class="button is-dark" (click)="getFavori()">Mettre en favori</button><br>
        </div>
    </div>
</section>